﻿<cfcomponent>
	<cffunction name="getMedia" access="public" output="false" returntype="query">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="fields" type="string" required="no" default="*">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
		<cfargument name="module_item_id" type="string" required="no" default="0">
		<cfargument name="media_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetMedia">
                SELECT #arguments.fields# FROM ice_media WHERE 0=0
<cfif isdefined("arguments.user_id") AND arguments.user_id IS NOT  0>AND ice_user_id = #arguments.user_id#</cfif>
<cfif isdefined("arguments.module_item_id") AND arguments.module_item_id IS NOT 0>AND ice_module_item_id IN (#arguments.module_item_id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
<cfif isdefined("arguments.media_id") AND arguments.media_id IS NOT  0>AND ice_media_id IN (#arguments.media_id#)</cfif>
ORDER BY ice_module_item_id ASC
            </cfquery>
		<cfreturn GetMedia>
	</cffunction>

	<cffunction name="getMediaFile" access="public" output="false" returntype="query">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
		<cfargument name="module_item_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetMediaFile">
                SELECT ice_media.ice_media_id,#arguments.table#.file,#arguments.table#.caption,#arguments.table#.#arguments.table#,#arguments.table#.id FROM ice_media,#arguments.table# WHERE 0=0
AND ice_media.ice_user_id=#arguments.user_id# AND ice_media.ice_site_id=#arguments.site_id# AND ice_media.ice_media_id=#arguments.table#.id
AND ice_media.ice_module_item_id=#arguments.module_item_id# AND #arguments.table#.ice_status_id=1
ORDER BY ice_media.ice_module_item_id ASC
            </cfquery>
		<cfreturn GetMediaFile>
	</cffunction>

	<cffunction name="getCurrentPageMedia" access="public" output="false" returntype="query">
		<cfargument name="media_id" type="string" required="no" default="0">
		<cfargument name="table" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="GetCurrentPageMedia">
                SELECT file,caption,#arguments.table#,id FROM #arguments.table# WHERE 0=0
AND id=#arguments.media_id#
            </cfquery>
		<cfreturn GetCurrentPageMedia>
	</cffunction>

	<cffunction name="countMedia" access="public" output="false" returntype="numeric">
		<cfargument name="fields" type="string" required="no" default="id">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
		<cfargument name="module_item_id" type="string" required="no" default="0">
            <cfquery datasource="#application.DB#" name="CountMedia">
                SELECT #arguments.fields# FROM ice_media 
WHERE 0=0
<cfif isdefined("arguments.user_id") AND arguments._user_id IS NOT  0>AND ice_user_id = #arguments.user_id#</cfif>
<cfif isdefined("arguments.module_item_id") AND arguments.module_item_id IS NOT 0>AND id IN (#arguments.module_item_id#)</cfif>
<cfif isdefined("arguments.site_id") AND arguments.site_id IS NOT  0>AND ice_site_id IN (#arguments.site_id#)</cfif>
            </cfquery>
<cfset countmedia=CountMedia.Recordcount>
		<cfreturn CountMedia>
	</cffunction>

	<cffunction name="addMedia" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="module_item_id" type="string" required="no" default="0">
		<cfargument name="media_id" type="string" required="no" default="0">
		<cfargument name="media" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
<cfset form.ice_user_id=#session.user_id#>
<cfset form.ice_site_id=#session.current_site_id#>
<cfset form.ice_module_item_id=#arguments.module_item_id#>
<cfset form.ice_media_id=#arguments.media_id#>
<cfset form.ice_media=#arguments.media#>
<cftry>
<cfquery datasource="#application.DB#" name="CheckMedia">
SELECT id FROM ice_media WHERE ice_user_id=#form.ice_user_id# AND ice_site_id=#form.ice_site_id# AND ice_module_item_id=#form.ice_module_item_id# AND ice_media_id=#form.ice_media_id#
</cfquery>
<cfif CheckMedia.Recordcount IS 0>
<cfinsert tablename="ice_media" datasource="#application.db#" formfields="ice_user_id,ice_site_id,ice_module_item_id,ice_media_id,ice_media">
</cfif>
<cfcatch type="any"><cfset addmedia=0><cfreturn addmedia></cfcatch>
</cftry>
<cfset addmedia=1>
		<cfreturn addmedia>

	</cffunction>

	<cffunction name="updateMedia" access="public" output="false" returntype="numeric">
		<cfargument name="id" type="string" required="no" default="0">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="module_item_id" type="string" required="no" default="0">
		<cfargument name="media_id" type="string" required="no" default="0">
		<cfargument name="media" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="#session.current_site_id#">
<cftry>
<cfupdate tablename="ice_media" datasource="#application.db#" formfields="id,ice_user_id,ice_site_id,ice_module_item_id,ice_media_id,ice_media">
<cfcatch type="any"><cfset updatemedia=0><cfreturn updatemedia></cfcatch>
</cftry>	
<cfset updatemedia=1>
		<cfreturn updatemedia>

	</cffunction>

	<cffunction name="deleteMedia" access="public" output="false" returntype="numeric">
		<cfargument name="user_id" type="string" required="no" default="0">
		<cfargument name="site_id" type="string" required="no" default="0">
		<cfargument name="media_id" type="string" required="no" default="0">
		<cfargument name="module_item_id" type="string" required="no" default="0">
<cftry>

<cfquery name="DeleteMedia" datasource="#application.db#">
DELETE FROM ice_media WHERE ice_user_id=#arguments.user_id# AND ice_site_id=#arguments.site_id# AND ice_media_id=#arguments.media_id# AND ice_module_item_id=#arguments.module_item_id#
</cfquery>
<cfcatch type="any"><cfset deletemedia=0><cfreturn deletemedia></cfcatch>
</cftry>	
<cfset deletemedia=1>

		<cfreturn deletemedia>

	</cffunction>

</cfcomponent>
